com.parse.http

## Interface ParseNetworkInterceptor.Chain

Enclosing interface:
  ParseNetworkInterceptor

    public static interface ParseNetworkInterceptor.Chain

`Chain` is used to chain the interceptors. It can get the request from the previous interceptor, proceed the request to the next interceptor and get the response from the next interceptor. In most of the cases, you don't need to implement this interface.

### Method Summary

Methods
`ParseHttpRequest` `getRequest()` Gets the `ParseHttpRequest` from this chain.
`ParseHttpResponse` `proceed(ParseHttpRequest request)` Proceeds the intercepted `ParseHttpRequest` in this chain to next `ParseNetworkInterceptor` or network and gets the `ParseHttpResponse`.

### Method Detail

#### getRequest

    ParseHttpRequest getRequest()

Gets the `ParseHttpRequest` from this chain.

Returns:
  The `ParseHttpRequest` of this chain.

#### proceed

    ParseHttpResponse proceed(ParseHttpRequest request)
                              throws IOException

Proceeds the intercepted `ParseHttpRequest` in this chain to next `ParseNetworkInterceptor` or network and gets the `ParseHttpResponse`.

Parameters:
  `request` - The intercepted `ParseHttpRequest`.
Returns:
  The `ParseHttpResponse` from next `ParseNetworkInterceptor` or network.
Throws:
  `IOException`